const path = require('path')
// 在这里你可以重写storybook 默认的webpack配置
module.exports = async ({ config, mode }) => {
  // `mode` has a value of 'DEVELOPMENT' or 'PRODUCTION'

  // 新加sass语法加载器
  config.module.rules.push({
    test: /\.s[ac]ss$/,
    use: ['style-loader', 'css-loader', 'sass-loader'],
    include: path.resolve(__dirname, '../'),
  })

  config.externals = {
    vue: 'Vue'
  }

  // Return the altered config
  return config
}
